Devuan bug report logs - #181
wicd should stricly depend on net-tools

Package: wicd-daemon; Maintainer for wicd-daemon is Vincenzo (KatolaZ) Nicosia <katolaz@freaknet.org>;

Reported by: Hleb Valoshka <375gnu@gmail.com>

Date: Sat, 17 Feb 2018 11:33:01 UTC

Severity: normal

Tags: ascii

Done: KatolaZ <katolaz@freaknet.org>

Reply or subscribe to this bug.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to devuan-bugs@lists.dyne.org, owner@bugs.devuan.org:
bug#181; Package wicd-daemon. (full text, mbox, link).


Acknowledgement sent to Hleb Valoshka <375gnu@gmail.com>:
New bug report received and forwarded. Copy sent to owner@bugs.devuan.org. (full text, mbox, link).


Message #5 received at submit@bugs.devuan.org (full text, mbox, reply):

From: Hleb Valoshka <375gnu@gmail.com>
To: submit <submit@bugs.devuan.org>
Subject: wicd should stricly depend on net-tools
Date: Sat, 17 Feb 2018 14:18:10 +0300
Package: wicd-daemon

Wicd-daemon from Ascii has the following dependencies:
Depends: ..., net-tools | ethtool, net-tools | iproute2, ...

But it requires ifconfig to configure wired connection. This issues is
fixed in Ceres release. As a workaround you can add dependency on
net-tools to task-*-desktop if the task depends on wicd (xfce4 for
example).


Tags added: ascii Request was from OmegaPhil <OmegaPhil@startmail.com> to control@bugs.devuan.org. (full text, mbox, link).


Information forwarded to devuan-bugs@lists.dyne.org, owner@bugs.devuan.org:
bug#181; Package wicd-daemon. (full text, mbox, link).


Acknowledgement sent to OmegaPhil <OmegaPhil@startmail.com>:
Extra info received and forwarded to list. Copy sent to owner@bugs.devuan.org. (full text, mbox, link).


Message #12 received at 181@bugs.devuan.org (full text, mbox, reply):

From: OmegaPhil <OmegaPhil@startmail.com>
To: 181@bugs.devuan.org
Subject: RE: wicd should stricly depend on net-tools
Date: Mon, 19 Feb 2018 21:54:36 +0000
[Message part 1 (text/plain, inline)]
For the benefit of the ticket, this was fixed in the next Debian version
of 1.7.4+tb2-5 via bug 881225 marked as Grave, but oldstable still has
the broken version (which is equivalent to ascii).

Will recreate it tomorrow when I get some time to work out how to
configure wicd properly.

[signature.asc (application/pgp-signature, attachment)]

Information forwarded to devuan-bugs@lists.dyne.org, owner@bugs.devuan.org:
bug#181; Package wicd-daemon. (full text, mbox, link).


Acknowledgement sent to OmegaPhil <OmegaPhil@startmail.com>:
Extra info received and forwarded to list. Copy sent to owner@bugs.devuan.org. (full text, mbox, link).


Message #17 received at 181@bugs.devuan.org (full text, mbox, reply):

From: OmegaPhil <OmegaPhil@startmail.com>
To: 181@bugs.devuan.org
Subject: RE: wicd should stricly depend on net-tools
Date: Tue, 20 Feb 2018 15:25:26 +0000
[Message part 1 (text/plain, inline)]
Confirmed in ascii, as soon as I uninstalled net-tools (which only
resulted in gnome-nettool being removed at the same time), wicd no
longer considered the wired connection connected, put it back and it
suddenly knows the IP address, can connect/disconnect, etc.

[signature.asc (application/pgp-signature, attachment)]

Reply sent to KatolaZ <katolaz@freaknet.org>:
You have taken responsibility. (full text, mbox, link).


Notification sent to Hleb Valoshka <375gnu@gmail.com>:
bug acknowledged by developer. (full text, mbox, link).


Message #22 received at 181-done@bugs.devuan.org (full text, mbox, reply):

From: KatolaZ <katolaz@freaknet.org>
To: 181-done@bugs.devuan.org
Subject: done
Date: Sat, 7 Apr 2018 19:18:21 +0100
[Message part 1 (text/plain, inline)]
Solved in ascii with version  1.60+git20161116.90da8a0-1+devuan1
[signature.asc (application/pgp-signature, inline)]

bug reopened, originator not changed. Request was from KatolaZ <katolaz@freaknet.org> to control@bugs.devuan.org. (full text, mbox, link).


Information forwarded to devuan-bugs@lists.dyne.org, owner@bugs.devuan.org:
bug#181; Package wicd-daemon. (full text, mbox, link).


Acknowledgement sent to Hleb Valoshka <375gnu@gmail.com>:
Extra info received and forwarded to list. Copy sent to owner@bugs.devuan.org. (full text, mbox, link).


Message #29 received at 181@bugs.devuan.org (full text, mbox, reply):

From: Hleb Valoshka <375gnu@gmail.com>
To: 181@bugs.devuan.org
Cc: katolaz@freaknet.org
Subject: Re: bug#181 acknowledged by developer (done)
Date: Sun, 8 Apr 2018 17:26:09 +0300
On 4/7/18, Devuan bug Tracking System <owner@bugs.devuan.org> wrote:

> Solved in ascii with version  1.60+git20161116.90da8a0-1+devuan1

This doesn't look like a wicd's version. Wrong ticket?


Reply sent to KatolaZ <katolaz@freaknet.org>:
You have taken responsibility. (full text, mbox, link).


Notification sent to Hleb Valoshka <375gnu@gmail.com>:
bug acknowledged by developer. (full text, mbox, link).


Message #34 received at 181-done@bugs.devuan.org (full text, mbox, reply):

From: KatolaZ <katolaz@freaknet.org>
To: 181-done@bugs.devuan.org
Subject: done
Date: Tue, 10 Apr 2018 12:58:12 +0100
[Message part 1 (text/plain, inline)]
Sorry for the previous report, which referred to the net-tools
version. The bug should be gone in the latest version of wicd
available in ascii (1.7.4+tb2-4+devuan1)

Closing
[signature.asc (application/pgp-signature, inline)]

Send a report that this bug log contains spam.


Devuan BTS -- Powered by Debian bug tracking system
Copyright (C) 1999 Darren O. Benham,
1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson,
2005-2017 Don Armstrong, and many other contributors.

Devuan Bugs Owner <owner@bugs.devuan.org>.
Last modified: Sun Nov 1 00:56:08 2020;